Bug 1254791 - Bridge name "br-ex" hard coded in controller-puppet.yaml
Bridge name "br-ex" hard coded in controller-puppet.yaml
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity unspecified
: ---
: 7.0 (Kilo)
Assigned To: Dan Sneddon
yeylon@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 17:09 EDT by Dan Sneddon
Modified: 2016-04-18 02:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-03 09:29:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1252219 None None None Never

  None (edit)
Description Dan Sneddon 2015-08-18 17:09:51 EDT
Description of problem:
In the compute templates, we assign the bridge_name parameter to the value of NeutronPhysicalBridge. This allows the --neutron-physical-bridge parameter on the command line to influence the bridge name in the NIC templates. Unfortunately, in the controller templates we hard-code the value to "br-ex", so if you use the --neutron-physical-bridge parameter your compute nodes will not have the same bridge name as your controller nodes, and VLAN mode networking won't work.

Version-Release number of selected component (if applicable):
7 GA

How reproducible:
100%

Steps to Reproduce:
1. Use --neutron-physical-bridge command-line parameter
2. This sets NeutronPhysicalBridge, which sets bridge_name in compute tempates
3. Controller templates hard-code br-ex, so the command-line parameter fails to work.

Actual results:
Controllers *always* end up with br-ex as the name of the bridge where the VLANs terminate.

Expected results:
This should be influenced by a command-line parameter --neutron-physical-bridge

Additional info:
This was discovered while triaging a separate bug. While both of these bugs are in place, there is no way to make VLAN mode networking work (unless you replace the name of the bond "br-bond" in the compute.yaml with "br-ex" or "{get_input: bridge_name}".

controller-puppet.yaml L585:
        bridge_name: br-ex
Comment 3 Dan Sneddon 2016-02-03 09:29:59 EST
This doesn't apply any more, we adjusted the templates to support {get_input: bridge_name} no matter what the value of bridge_name is.

Note You need to log in before you can comment on or make changes to this bug.